Welcome

Thank you for using DBI Staff-Scheduler Version 2.5. DBI Staff-Scheduler is a visually intuitive Employee/Staff Scheduling application targeted primarily at medium - large business. DBI SS is not aimed at the technical end user, but rather the businessperson who is looking for a no-nonsense, straightforward tool to assist them with day-to-day scheduling and management of their labor burden.


System Requirements

Windows 98, Windows ME, Windows 2000, or Windows XP

Minimum display of 600 X 800, 256 colors

Recommended Display: 1024 X 768, True Color (32 bit)


Notices

Please Note

DBI reserves the right to change any and all Information contained within this guide and all associated web site references, without notice. The examples contained herein are meant to be fictitious. Any reference to actual people, company, organizations or products is coincidental and is not intended.

The user of this product assumes the obligations of use under existing copyright laws. The information contained within this document is the sole property of DBI and reproduction or distribution of any kind is strictly forbidden without the written consent of DBI Technologies Inc.

DBI reserves the right to modify, upgrade, correct our software programs and publications without notice and assumes no liability in that event.

2003 DBI Technologies Inc.

Winnipeg, Manitoba, Canada

Published by DBI Technologies Inc.
702-44 Princess Street
Winnipeg, Manitoba, Canada
R3B 1K2

Sales phone: 1-800-670-8045

Sales email: staff-scheduler@dbi-tech.com

Support: http://www.dbi-tech.com/staff-scheduler/support.asp

Support email: ss-support@dbi-tech.com

Web: http://www.staff-scheduler.com

Copyright © DBI Technologies Inc. All rights reserved.

Documentation produced January 2004.


Installation from CD

If you are installing DBI Staff-Scheduler from a CD follow these easy steps:

Insert the DBI Staff-Scheduler CD into your CD Drive

Wait for DBI Staff-Scheduler to automatically begin the installation process, or

Go to your “Start” Menu, Select “Run” and enter your CD Drive designation (Usually D: or E:) and the file you wish to run, in this case, “dbiSSInstall.exe”.


Installation From Download

If you are installing DBI Staff-Scheduler from a Download, run the dbiSSInstall.exe from the location to which the file was downloaded to begin the installation process.


Installation Process

Once the installation process begins, simply follow the directions during the install. DBI Staff-Scheduler uses very standard installation technology and you should not have any difficulty completing the installation process. Follow the installation instructions as they are presented in the installation wizard.

Please NOTE: When the install begins you may be presented with the following dialog…

If you choose to cancel here the install will not proceed. The MDAC files are required for the DBI Staff-Scheduler application to access the database. Once the files are installed (selecting OK to continue), the machine will be rebooted automatically and upon restarting, the install will continue to proceed. If the MDAC files are already installed on your computer you will not be prompted as displayed above and will proceed directly to the next dialog.

At the end of the installation process you will see this form, select Finish to exit the installation.

To complete the installation you may need to restart your computer. The installation wizard may prompt you to restart your machine.


To Run Staff-Scheduler

After your computer restarts you should see the dbiSS icon on your desktop. You will also see an entry in the Start Menu under Programs … DBI Staff-Scheduler. To run staff-scheduler simply double-click on the icon on the desktop or run the application from the Start Menu.


Licensing Staff Scheduler

When you run the DBI Staff-Scheduler application for the first time the licensing activation form will appear.

You can run Staff Scheduler in one of two modes:

  1. Evaluation
  2. Licensed Mode - Purchase


Evaluation Mode

By default Staff-Scheduler is set to run in evaluation mode. You may use the full version of Staff-Scheduler for 30 days. When the evaluation period expires you will be required to enter a valid Init (Initialization) Code in the Licensing Activation Form to continue working with the application. To obtain a valid Init Code you must purchase the product.

If you wish to run the application in evaluation mode, click the Continue button.


Licensed Mode - Purchase

To purchase Staff-Scheduler and obtain a valid Init Code to license the application, follow these easy steps:

Step 1: Go to the DBI Staff-Scheduler Website, www.staff-scheduler.com. Click on the “Purchase Staff Scheduler” link in the menu.

Step 2: Enter your MID and Site Code into the Purchase DBI Staff-Scheduler web form. You can copy (using the CTRL – C command) and paste (using the CTRL-V command) the MID and Site Code values from the License Activation Form or you can enter the codes manually.

Step 3: Enter payment information

Step 4: DBI will send you a valid Initialization Code by email or fax, whichever you prefer.


Setting Defaults

When you run DBI Staff-Scheduler for the first time, you will be prompted to provide some default information about your company and the way in which you wish to set up your scheduling.

IMPORTANT: If at any time you require assistance during the setup of the DBI Staff-Scheduler information, please press the F1 key to display the Help interface or refer to the electronic Getting Started Guide and User Guide available from the Start Menu.

Unlike some scheduling applications that require you to spend a significant amount of time during setup, with DBI Staff-Scheduler this process can be done in minutes.


System Setup Screen

Company Name: Insert desired Company name here. This name will be used on all reports. *Required Field

System Password: Create a password if access to Staff Scheduler is to be restricted. Passwords can be alpha, numeric or a combination of either but cannot exceed 10 characters. NOTE: System passwords are case sensitive.

Conflict Check Activates conflict checking based on Employee

Employee Availability: Availability as captured in the Staff Detail form (See Maintenance/Staff). Once selected, this feature will identify any conflicts arising from staff availability when performing the staff schedule planning process.

Target Labor Cost: Sets the target labor burden as a percentage of the revenue budget.

New Schedule Plan Defaults

New Schedule Plan Defaults provide the default information Staff Scheduler will use when creating new Schedule Plans.

Schedule By: Default Schedule By setting for new schedules.

Start/End Time: The default number of days for new schedules. *Required Field

Schedule Length: Use either the up/down arrows or enter desired length directly.

New Employee Defaults

New Employee Defaults provide the default values that are used when a new Staff member is added in the Staff Detail Form (see Maintenance/Staff).

Hourly Rate: The default hourly rate that will be used for reporting cost based on hours scheduled.

Schedule Plan Default View

Describes the default view of the main schedule planning form when the application is first Started

Show Scheduler Bar: Shows and hides the Scheduler Bar. The Scheduler Bar provides easy access to all of the main information screens such as System (above), Departments, Staff, and Position/Task as well as all available reports. You might want to start using staff scheduler with this item turned on; you can hide this item at any time.

Show Explorer: Shows and Hides the Explorer. The Explorer provides expandable/collapsible views of active Departments, Staff and Position/Tasks.

Show List View: Shows and Hides the List View. The List View provides easy access via Tabs to view and select from active Departments, Staff or Positions/Tasks. Click on the Tabs to toggle between these 3 items.

Scheduler Bar

Icon Size: This system setting allows you to select whether you prefer larger or smaller icons to appear in the Scheduler Bar.

Schedule Bar This system setting allows you to select whether you a

Font Size: prefer a large or small font to appear in the Schedule Time Bars. Smaller fonts allow more items to be shown simultaneously in the Schedule.

IMPORTANT: Smaller fonts may be more difficult to read in high- resolution environments.

Mail Server Setup

This setup is required in order to email schedules. The information required can be found in your current email application. The Port Number has been set by default to 25. This port setting is common to many Internet service providers’ SMTP services. Information entered here MUST match the System Setting and Account Information required by your Internet service provider.

SMTP Server: This is the identification of your email sending service.

From Name: Name used to notify mail recipients of sender.

Return Address: Provides mail recipients with your return email address.

Port Number: The port used to communicate with your Internet service provider’s SMTP service.

Server Authentication: This setting indicates if your Internet service provider’s SMTP service requires authentication. Please consult your ISP if you are not sure

Account Name: This is the account name used if authentication is required.

Account Password: This is the account password used if authentication is required.

Check Connection: After you have completed the Mail Server Section, click on Check Connection. If the information entered is correct Staff Scheduler will verify that you are ready to send email.

Once you are satisfied with the selections you have made in the system default form, select Save, and Close. This will take you to the next system setup form.


Setting Up Departments

Please NOTE: Setting up departments is not optional. If your business is not organized around departments simply create a single department.

TIP: Use the name of your organization as the single department if you do not use departments for the purpose of staff scheduling.

To create departments follow these easy steps:

Please NOTE: To move around in the forms use your mouse to point and click or use the tab key to move between fields and objects).

Step 1: Click on New. This will automatically position the cursor in the Description Field. Enter the name of the department. Press the Tab key to move to the Short Description field. Enter a Short Description of the Department (up to 5 characters).

Step 2: A department can be active or inactive. If you are intending to schedule positions/staff into this department, click on the checkbox beside Active. The Default for new departments is set to Active.

Step 3: Click on the Notes area if you wish to add any comments specific to this department.

Please NOTE: Text entered into the notes field of the department is shown in a tip when you move the mouse cursor over the department in the List View or the Explorer.

Step 4: Click Save to save the department settings.

Step 5: Repeat until all required Departments have been created

Step 6: Click Close to proceed to the next system setup form.


Setting up Positions/Tasks

After closing the Departments form, you will be prompted to add the Positions/Tasks you require to appear in your schedule.

To enter Positions/Tasks for the first time, follow these easy steps:

Step 1: Click on New. This will automatically position the cursor in the Description Field. Enter the name of the Position/Task.

Step 2: Enter a short description of the position/task

Step 3: A Position/Task can be active or inactive. If you are intending to schedule staff into this Position/Task, click on the checkbox beside Active.

Step 4: Click on the Notes area if you wish to add any comments specific to this Position/Task.

Please NOTE: Text entered into the notes field of the position/task is shown in a tip when you move the mouse cursor over the position/task in the List View or the Explorer.

Step 5: Click Save to save the Position/Task settings.

Step 6: Repeat until all required Positions/Tasks have been created.

Step 7: Click “Close” to proceed to the next system setup form.


Setting up Staff Profiles

After closing the Positions/Tasks form, you will be prompted to add the staff/employees you require to appear in your schedule.

The only REQUIRED information for a staff member is First Name, Last Name and Gender. All other information is optional

To enter Staff members for the first time, follow these easy steps:

Step 1: Click on New. This will automatically position the cursor in the Employee Number Field. If you use Employee ID’s enter them here. Tab to the next field.

Step 2: A Staff member can be active or inactive. If you intend to schedule this staff member into a current schedule plan, click on the checkbox beside Active.

Step 3: Click on the Notes area if you wish to add any comments specific to this Staff member.

Please NOTE: Text entered into the notes field of the staff member is shown in a tip when you move the mouse cursor over the staff member in the List View or the Explorer.

Step 4: If you are intending to email schedules to this staff member you must enter their email address on this form.

Step 5: It is recommended that you indicate Regular Days Off, as this will be important for conflict checking as you build your schedules.

Step 6: If you plan on using Staff Scheduler’s cost reporting features you will need to indicate an Hourly Rate for the staff member.

Step 7: Click Save to save the Staff member’s information.

Step 8: Repeat until all required Staff members have been added to the system.

Step 9: Click Close to proceed to the next system setup form.


Setting up the Schedule Plan

After closing the Staff Profiles form, you will be prompted to create your first Schedule Plan.

To set up a Schedule Plan for the first time, follow these easy steps:

Step 1: Create a New Schedule Plan: From the Schedule Plans Window Click on New. This will automatically position the cursor in the Description Field. Enter the title of the schedule you wish to create.

Please Note:The default settings you entered in the System Setup earlier are applied as the defaults for Start Time, End Time, End Date (Start Date + Schedule Length = End Date), and Schedule By (i.e. by Position/Task or by Staff).

Step 2: Set the Active Flag: A Schedule Plan can be active or inactive. If the schedule plan will be immediately used to create a schedule then click on the checkbox beside Active (default value = Active).

Step 3: Enter a Schedule Start Date. Click on the Scheduled Start Date field and enter the desired Schedule Start Date.

Please NOTE: When entering dates, click on the drop-down arrow at the end of the Start Date field to display a calendar. Click on the desired day in the calendar to select the schedule start day or if you prefer enter the Start Date directly into the Start Date field.

Sample of drop down calendar

Step 4: Enter the Schedule Start Time. Click on the up/down arrows at the end of the Start Time field or enter the Start Time directly, i.e. 8:00 AM

Step 5: Enter the Schedule End Time. Repeat the process indicated above.

Step 6: Enter the Schedule End Date/Time. Enter the desired Schedule End Date and Time.

Step 7: Select to Schedule by Position/Task or by Staff. Select the scheduling format preference for this Schedule Plan by clicking on the desired option.

Please NOTE: In the previous Setting System Defaults section you indicated what your default preferences for new schedules were. In the Schedule Plan form the creation of a new schedule uses those defaults but allows you to discretely set each parameter of the new schedule.

Step 8: Enter Notes to further describe this Schedule Plan.

Step 9: Save the new Schedule Plan: Click the Save button to save the Schedule Plan.

Step 10: Click “Close” to proceed to the Schedule Planning Form.


Creating Your First Schedule Plan

Once you have completed all of the previous setup forms, your first Schedule Plan form will look like this. Note that we do not have any departments, staff, or positions scheduled yet.

Sample of Schedule Planning Form

This is the screen you will see every time you run Staff Scheduler after setting up the system. You will notice the schedule plan that is loaded (by default the first schedule plan you created during the systems set up process) indicates that we have elected to Schedule by Position. Had we chosen to Schedule by Staff when creating the new schedule plan, we would see a “Staff” Heading appear in the place of Position.

Staff Scheduler has a number of Views for displaying scheduling information.

Scheduler Bar: The Scheduler Bar allows you to easily view/select schedule plans, items to schedule (Departments, Staff, Positions), or actions to perform (e.g. run reports) within the Staff Scheduler software. Try clicking on some of these items to get familiar with their content.

Explorer: Explorer allows you to expand or collapse the full detail of the information you have entered under Departments, Positions or Staff to easily display and select items for your schedule plan.

List View: The List View allows you to easily display and select from lists of Departments, Positions or Staff when creating/editing a schedule plan. Use the tabs to move from one list to another.

Please NOTE: If you are running the Enterprise Version of Staff Scheduler you will also see a “Data Connections” selection on the Scheduler Bar. This allows for connection to a remote database.

Please NOTE: You can configure your view by selecting the View menu in the main menu or right-mouse clicking on the form and displaying the Planner View menu. From one of these menus select to Hide or Show the Scheduler Bar, Explorer or List View objects.

You can also adjust your view by enlarging or shrinking the width of the Scheduler Bar, Explorer or List View by adjusting the separator bars horizontally between each object.

To create your first Schedule Plan, please follow these easy steps:

Step 1: Display the Scheduler Bar and click on the desired Schedule Plan

Step 2: Display the list of active Departments. Click on the Departments node in the Explorer to expand the list of departments or the Departments tab in the List View to display the list of departments.

Step 3: Add a Department to the Schedule Plan. Select one of the Departments displayed by clicking on it with the left mouse button. While holding down the left mouse button, drag the selection onto the Schedule By List, directly under the “Position” header in the schedule plan. Now release the left mouse button. You will now see the selected Department appear in the Schedule By List directly under the “Position” header.

Step 4: Repeat Step 2 until all of the desired Departments appear in the Schedule Plan.

Please NOTE: You can go back and add/delete departments from the schedule plan at any time.

Step 5: Display the Positions/Tasks. Click on the Position/Task Tab in the List View or expand the Position/Tasks node in the Explorer to display a list of all active Positions/Tasks.

If you are scheduling by Staff, follow the same steps but rather than displaying Positions/Tasks from either the List View or Explorer, display Staff by simply expanding the Staff node in the Explorer or clicking on the Staff tab in the List View.

Step 6: Add Positions/Tasks to each Department in the Schedule Plan. Select the desired Position/Task by clicking on it once, using the left mouse button, hold down the left mouse button. The Position/Task icon will appear, now while continuing to hold down the mouse button Drag/Drop (as described above in Step 2) the item onto the appropriate Department. The Position/Task will now appear under the appropriate Department.

Step 7: Repeat Step 5 until all of the desired Positions/Tasks appear in the Schedule Plan.

Please NOTE: You can go back and add/delete positions/tasks from the schedule plan at any time.

Step 8: Add Time Bars to each Position/Task. You are now ready to add Time Bars to the Schedule Plan. At this point you may want to hide the Explorer and/or the List View to give yourself a better view of the Schedule Plan. You can also use the Zoom Out feature located on the top main menu to show more days on the schedule plan (zoom out) or more detail for each hour in the plan (zoom in).

Step 9: Position your cursor at the desired Start Time for a selected Position/Task on the Schedule Plan. Using the left mouse button, click on the start time and drag the mouse to the right to the desired end time continuing to hold down the left mouse button. Once you have the time bar drawn to the desired end time release the mouse button.

You will see a time bar appear. The Time Bar will indicate that it is currently unassigned. When scheduling by Position this means that a staff member has not been assigned to that position/task. When scheduling by Staff, “Unassigned” indicates that no position/task has been assigned to that staff member. The time bar will also display the Start and End times within the Time Bar itself.

If you hover the cursor over the time bar, the time range as well as the status of the time bar will be displayed.

Right clicking on the time bar displays a menu allowing you to Copy the Time Bar to the Next Day, Edit or Delete the Time Bar.

NOTE: This functionality is also available after the time has been assigned.

You can change the start and end time of a time bar by:

Clicking on the time bar and dragging it to the left or the right (continuing to hold down the left mouse button) to the desired time, or by

Clicking on the start or end of the time bar and drag to the desired start or end time, or by

Double clicking on the time bar and entering the desired Start and End times into the Time Bar detail form as seen below.

TIP: To enter or edit a Date or Time you can type using shorthand. For example, to enter August 13, 2003 as in the example above simply type AU1303. To enter or edit a time value in a time field you could for instance enter “9 a” for 9:00 am.


Adding Notes to a Time Bar

You can add notes to any time bar by positioning the cursor over the time bar and double-clicking with the left mouse button. After entering notes or editing the Time Bar Start/End select Save and Close.

To delete a time bar, use the right mouse click while “mousing over” the time bar to bring up the time bar menu or click on it once and press the delete key.

If your schedule is for more than one day, Click Next Day in the Main Menu bar above the schedule plan. This will display the next day.


Seeing more of your Schedule Plan: Zooming In/Out

If your display is set to 800 X 600 resolution you will see that the Schedule worksheet is displaying an 8-hour period by default. If you require to see more or less than 8 hours at a time you can decrease or increase the number of hours displayed in the Schedule Worksheet by using the Zoom In/Zoom Out feature.

If you need to see more of a day displayed in the Schedule Worksheet select Zoom Out from the Main Menu bar. This will shorten the space used by an hour in the schedule, thereby allowing for more of a day to be viewed simultaneously. You can also achieve the same effect by setting your display resolution to something higher than 800 X 600. To see less of a day in the Worksheet area select to Zoom In.

Step 10: Display the Staff List. Click on the Staff Tab in the List View or expand the Staff node in the Explorer to display a list of all active Staff members.

Step 11: Assign a Staff member to a Time Bar. Click on the desired staff member from the displayed List using the left mouse button. Continue to hold the left mouse button down and drag the selected staff member icon onto the appropriate time bar and release.

You will see the selected staff member’s name displayed in the time bar. The time bar color will also change indicating the staff member has been scheduled to perform the selected position/task for the time described by the time bar.

Step 12: Repeat Steps 9 to 11 until all the desired time bars have been created and the appropriate staff have been assigned to each time bar.

Drag…Drop…Done


How Do I create my next schedule?

Now that you have set up your Departments, Positions/Tasks, and Staff, and built your first Schedule Plan you can create new Schedule plans from scratch as described above or use Staff Scheduler’s powerful COPY feature to copy your first schedule plan and use it as a template for your next schedule or a future schedule.

IMPORTANT: The Copy feature of DBI Staff-Scheduler is a very convenient and easy way to create new schedules from old schedules. Please take the time to review the Help topic on Copying Schedules.

For more information on how to use DBI Staff-Scheduler please refer to the online Help available by clicking on the Help button in the Main Menu bar.


Installing DBI SS onto your Desktop for the First Time


System Setup